﻿using System;
using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.SilverlightEdition;
using ThinkGeo.MapSuite.SilverlightCore;

namespace CSharp_Samples
{
    public partial class DisplayASimpleMap : UserControl
    {
        public DisplayASimpleMap()
        {
            InitializeComponent();
        }

        void DisplayASimpleMap_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            WorldMapKitWmsSilverlightOverlay baseOverlay = new WorldMapKitWmsSilverlightOverlay();
            Map1.Overlays.Add(baseOverlay);

            Map1.CurrentExtent = new RectangleShape(-135.7, 83.6, 113.5, -53);
            Map1.MapTools.PanZoomBar.Template = (ControlTemplate)Resources["PanZoomBarStyle"];
        }
    }
}
